> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Requestable Entry

> Create a single requestable entry



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples put /api/v1/catalogs/{catalog_id}/requestable_entries/{app_id}/{entitlement_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/catalogs/{catalog_id}/requestable_entries/{app_id}/{entitlement_id}:
    put:
      tags:
        - Request Catalog
      summary: Create Requestable Entry
      description: Create a single requestable entry
      operationId: >-
        c1.api.requestcatalog.v1.RequestCatalogManagementService.CreateRequestableEntry
      parameters:
        - in: path
          name: catalog_id
          required: true
          schema:
            description: The ID of the access profile (catalog) to add the entitlement to
            readOnly: false
            type: string
        - in: path
          name: app_id
          required: true
          schema:
            description: The ID of the app that contains the entitlement
            readOnly: false
            type: string
        - in: path
          name: entitlement_id
          required: true
          schema:
            description: The ID of the entitlement to add to the request catalog
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.requestcatalog.v1.RequestCatalogManagementServiceCreateRequestableEntryRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.requestcatalog.v1.RequestCatalogManagementServiceCreateRequestableEntryResponse
          description: Response containing the created requestable entry
      x-codeSamples:
        - lang: go
          label: CreateRequestableEntry
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RequestCatalogManagement.CreateRequestableEntry(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceCreateRequestableEntryRequest{\n        AppID: \"<id>\",\n        CatalogID: \"<id>\",\n        EntitlementID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.RequestCatalogManagementServiceCreateRequestableEntryResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.requestCatalogManagement.createRequestableEntry({
                catalogId: "<id>",
                appId: "<id>",
                entitlementId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.requestcatalog.v1.RequestCatalogManagementServiceCreateRequestableEntryRequestInput:
      description: Create a single requestable entry
      properties:
        createRequests:
          description: >-
            Whether or not to create requests for newly added entitlement for
            users in the catalog.
             By default, this is false and no requests are created.
          readOnly: false
          type: boolean
      title: Request Catalog Management Service Create Requestable Entry Request
      type: object
      x-speakeasy-entity: Access_Profile_Requestable_Entry
      x-speakeasy-name-override: RequestCatalogManagementServiceCreateRequestableEntryRequest
    c1.api.requestcatalog.v1.RequestCatalogManagementServiceCreateRequestableEntryResponse:
      description: Response containing the created requestable entry
      properties:
        requestableEntry:
          $ref: '#/components/schemas/c1.api.requestcatalog.v1.RequestableEntry'
      title: Request Catalog Management Service Create Requestable Entry Response
      type: object
      x-speakeasy-name-override: RequestCatalogManagementServiceCreateRequestableEntryResponse
    c1.api.requestcatalog.v1.RequestableEntry:
      description: A requestable entry in a catalog
      properties:
        appId:
          description: The ID of the app that contains the entitlement
          readOnly: false
          type: string
        catalogId:
          description: The ID of the access profile (catalog)
          readOnly: false
          type: string
        entitlementId:
          description: The ID of the entitlement
          readOnly: false
          type: string
      title: Requestable Entry
      type: object
      x-speakeasy-name-override: RequestableEntry
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````